Core - Bug # 57198

Status: Resolved Priority: Must have
TYPO3 Version: 6.2
Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: Option labels not translated anymore

Description

The configuration options labels are not translated anymore in the Extension Manger.

This is due to a recent refactoring, which encapsulated the translation process in a separate method, but forgot to return the translated

value.

Related issues:

related to Core - Bug # 56942: Tests: Release em tests from extbase base class

Resolved 2014-03-15

Associated revisions

Revision 69b35c83 - 2014-03-23 11:26 - Francois Suter

[BUGFIX] Option labels not translated anymore

The configuration options labels are not translated anymore
in the Extension Manger.

This is due to a recent refactoring, which encapsulated
the translation process in a separate method,

but forgot to return the translated value.

Resolves: #57198

Releases: 6.2

Change-Id: Ib0051225860c408b00827bf7212835beafbbd2fa
Reviewed-on: https:/review.typo3.org/28657

Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2014-03-23 10:45 - Francois Suter

How to reproduce:

- go to the Extension Manager

- open the configuration view of an extension with localized labels, "news" for example

- the labels are mangled, because "LLL:" is used as the header and the rest of the localization key as description

- apply the patch
- the translations look good again
https://review.typo3.org/28657

#2 - 2014-03-23 10:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28657

#3 - 2014-03-23 11:30 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:69b35c833be379e3c49e210f5036d27b727416e3.
